#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin>>n>>m;
    int a[n][n];

    for(int i=0; i<n; i++){
        for(int j=0; j<n; j++){
            cin>>a[i][j];
        }
    }

    cout<<"-1";
    return 0;
}